﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Space_Invaders
{
    class Player :Drawable
    {

        public Vector v = new Vector(0.0, 0.0);
        public void Update(Form1.movestate MoveState)
        {
            if (MoveState == Form1.movestate.right)
            {
                v.x += 1.0;
                if (v.x >= 5)
                {
                    v.x = 5;
                }
            }
            else if (MoveState == Form1.movestate.left)
            {
                v.x -= 1.0;
                if (v.x <= -5)
                {
                    v.x = -5;
                }
            }
            else if ( v.x != 0 )
            {
                if (v.x > 0)
                {
                    v.x -= 1.0;
                }
                else
                {
                    v.x += 1.0;
                }
            }
            this.Position.X += (float)v.x;
            this.Position.Y += (float)v.y;
        }
        public  void Draw(Form1 frm, Graphics g)
        {
            //g.DrawRectangle(Pens.White,(this.Position.X - this.Width / 2), this.Position.Y, this.Width, this.Height);
            g.DrawImageUnscaled(frm.imageList1.Images[4], (int)this.Position.X, (int)this.Position.Y, this.Width, this.Height);
        }
        public bool Collision(Form1 parent, int width, int height)
        {
            if (this.Position.X + (this.Width / 2) > width - Form1.GAME_OFFSET_X)
            {
                return true;
            }
            else if (this.Position.X - (this.Width / 2) < Form1.GAME_OFFSET_X)
            {
                return true;
            }
            return false;
        }
    }
}
